package edu.gustavus.mcs178.compounder;

/**
 * @author Max Hailperin, Barbara Kaiser, and Karl Knight
 * 
 * This file contains excerpts from the textbook Concrete Abstractions: An Introduction to Computer Science Using Scheme,
 * by Max Hailperin, Barbara Kaiser, and Karl Knight, Copyright (c) 1998 by the authors. Full text is available for free
 * at http://www.gustavus.edu/+max/concrete-abstractions.html
 * 
 * Modified by Karl Knight in May 2011 to use Java Swing
 */
public class InitialAmountField extends FormattedField {

	private CompoundingThread compThread;

	public InitialAmountField(double initialValue,
			CompoundingThread compThread){
		super(10, java.text.NumberFormat.getCurrencyInstance());
		this.compThread = compThread;
		Double value = new Double(initialValue);
		setValue(value);
		valueEntered(value);
	}

	public void valueEntered(Object value){
		compThread.setInitialAmount(((Number) value).doubleValue());
	}
}
